Title: Contribute

Contributions of any sort (text suggestions, ideas, feedback,
criticism) from all interested individuals are welcome and encouraged.
All copyrightable contributions to copyleft-next are dedicated to the
public domain to the maximum extent permitted by applicable law,
pursuant to CC0. See the accompanying file CC0 for further details.

Contributions from individual free/libre/open source software project
participants, regardless of their views on copyleft, and regardless of
their opinions on existing licenses such as the GNU GPLv2 and its
successors, are especially welcome and strongly encouraged.

Patches or merge requests relating to a given license text should be
made against the relevant file in the Drafts/ directory, **not** a
numbered version in the Releases/ directory. The files in Releases/
are meant to be immutable. (More than one person has pointed out that
this Drafts/Releases approach is bad and represents a poor use of
git. Any concrete suggestions for an improved system would be greatly
welcome.)

Development and discussion of copyleft-next by participants in the
Copyleft-Next Project are governed by the “[Hindering Backchannels Rule]” (—
formerly known as the “Harvey Birdman Rule”).

## Public Source Locations

<https://git.copyleft.org/copyleft-next/copyleft-next> is now the canonical
source location for this project.

[HBR is in a different repository](https://git.copyleft.org/copyleft-next/hbr)
in case eventually other projects want ot use it.

## Mailing List

You can subscribe to the copyleft-next mailing list (new as of 2025-06-29 at:
<https://lists.copyleft.org/mailman/listinfo/next>

The
[archives of the old mailing list on fedorahosted.org](https://lists.fedorahosted.org/archives/list/copyleft-next@lists.fedorahosted.org/)
should remain available indefinitely and we hope to migrate them into the
archives of the current list RSN.

## Issues

You can submit issues at
<https://git.copyleft.org/copyleft-next/copyleft-next/issues> or on the
mailing list.

## Fediverse / Mastodon

We encourage you to
[follow @next@copyleft.org](https://fedi.copyleft.org/@next) the Fediverse
via our Mastodon server.

## Real-Time Chat

We previously had real-time chat locations, but the archives were not well
kept, and per the [Hindering Backchannels Rule], any real-time chat about
this project *should be* archived.

We're looking into setting up an XMPP channel and will let folks here know.

[Hindering Backchannels Rule]: https://git.copyleft.org/copyleft-next/hbr/src/branch/main/HBR.md
